[Smush] PHP 7.1 error

I want to update my website to PHP7.1 but there seems to be an incompatibility error with Smush...
FILE: /home/profit43/public_html/profittrans4mations.com.au/wp-content/plugins/wp-smushit/lib/class-wp-smush-admin.php
----------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
----------------------------------------------------------------------------------------------------------------------------------------
374 | ERROR | Function name, class name, namespace name or constant name can not be reserved keyword '__dir__' (since PHP version 5.3)
----------------------------------------------------------------------------------------------------------------------------------------

FILE: /home/profit43/public_html/profittrans4mations.com.au/wp-content/plugins/wp-smushit/lib/class-wp-smush-recommender.php
---------------------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
---------------------------------------------------------------------------------------------------------------------------------------
80 | ERROR | Function name, class name, namespace name or constant name can not be reserved keyword '__dir__' (since PHP version 5.3)

Can you help with whats going on, and is it okay to update to PHP 7.1?